
package ucp.ws;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the ucp.ws package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _CountUCPResponse_QNAME = new QName("http://ws.ucp/", "countUCPResponse");
    private final static QName _CountUCP_QNAME = new QName("http://ws.ucp/", "countUCP");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: ucp.ws
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link UcpWsMetrics }
     * 
     */
    public UcpWsMetrics createUcpWsMetrics() {
        return new UcpWsMetrics();
    }

    /**
     * Create an instance of {@link CountUCP }
     * 
     */
    public CountUCP createCountUCP() {
        return new CountUCP();
    }

    /**
     * Create an instance of {@link UcpElement }
     * 
     */
    public UcpElement createUcpElement() {
        return new UcpElement();
    }

    /**
     * Create an instance of {@link CountUCPResponse }
     * 
     */
    public CountUCPResponse createCountUCPResponse() {
        return new CountUCPResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CountUCPResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.ucp/", name = "countUCPResponse")
    public JAXBElement<CountUCPResponse> createCountUCPResponse(CountUCPResponse value) {
        return new JAXBElement<CountUCPResponse>(_CountUCPResponse_QNAME, CountUCPResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CountUCP }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.ucp/", name = "countUCP")
    public JAXBElement<CountUCP> createCountUCP(CountUCP value) {
        return new JAXBElement<CountUCP>(_CountUCP_QNAME, CountUCP.class, null, value);
    }

}
